Subject: Re: [PATCH] repack: fix geometric repacking with gitalternates

From: Taylor Blau <[email-masked]>
Date: Tue, 11 Apr 2023 17:13:12 -0400

On Tue, Apr 11, 2023 at 07:13:46PM +0200, Patrick Steinhardt wrote:
> So ultimately, we would only ever write an MIDX containing only local
> packs already. It rather feels like this is only by chance though, so I
> think it is good to include your patch regardless of whether it actually
> does something or not. Better be explicit here, also as documentation to
> the reader.

Doh, this is definitely right. I even wrote that code a while ago; shows
you how good my memory is ;-).

FWIW, I agree that even though it doesn't do anything in this instance,
it is a good safeguard to have in place, so I think including it in your
series is the right thing to do.

Thanks,
Taylor